Subject: bug#53877: 29.0.50; [PATCH] async Gnus/nnml

From: Manuel Giraud <[email-masked]>
Date: Thu, 10 Feb 2022 10:02:59 +0100

Eric Abrahamsen <[email-masked]> writes:

> Manuel Giraud <[email-masked]> writes:
>
>> Lars Ingebrigtsen <[email-masked]> writes:
>>
>>> Why can't you bind `nnmail-article-buffer' before calling the splitting
>>> function?
>>
>> I spoke too quickly. The idea was that with a temporay buffer I could
>> run multiple splitting in "parallel". But rebinding just *one* global
>> variable won't help much here.
>
> Are you sure? AFAIK this was Dick Chiang's approach to threading
> server updates: let-binding the value of `nntp-server-buffer' within
> the thread function. As far as I know it worked okay. The splitting
> function and code run within it will have a separate value of
> `nnmail-article-buffer'.

I'm trying another approach: seek to the processes in the backend, don't
wait for them to end but instead attach sentinels for what's left to
do. Maybe it is not the best approach because Gnus seems to be heavily
stateful/serial.

I'm not sure about binding in sentinels: do you think it would work as
binding in threads?
-- 
Manuel Giraud